## gnome-software 3.26.1

=== debian/changelog ===
gnome-software (3.26.1-0ubuntu2.17.10.1) artful; urgency=medium

  [ Robert Ancell ]
  * debian/patches/0001-snap-Don-t-crash-on-unknown-snap-types.patch:
    - Fix crash when broken snaps installed (LP: #1720442)
  * debian/patches/0001-snap-Protect-store-cache-with-a-lock.patch:
    - Fix crash due to multiple threads accessing a cache (LP: #1716633)
  * debian/patches/0001-snap-Don-t-attempt-to-refine-snaps-without-a-valid-n.patch:
    - Fix potential crash from invalid snaps
  * debian/patches/0001-snap-Remove-unused-variables.patch:
    - Trivial patch added to make above patches apply cleanly
  * debian/patches/0001-Add-a-cancellable-to-GsApp-objects.patch:
  * debian/patches/0001-Allow-to-cancel-app-ops-in-the-details-view-that-wer.patch:
    - Fix cancelling with multiple installs (LP: #1722183)
  * debian/control:
    - Add Vcs-Bzr link

  [ Jeremy Bicha ]
  * Cherry-pick 0001-Don-t-error-out-for-over-500-results.patch:
    - Fix empty Addons > Shell Extensions category (LP: #1722809)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 Nov 2017 11:58:57 +1300

gnome-software (3.26.1-0ubuntu2) artful; urgency=medium

  * debian/patches/0001-snap-Fix-crash-authenticating-with-Ubuntu-One.patch:
    - Fix crash authenticating with Ubuntu One (LP: #1723312)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Oct 2017 09:33:05 +1300

gnome-software (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream stable release: (LP: #1721308)
    - Fixes snap plugin not working after snap restart (LP: #1718170)
  * debian/patches/0001-gs_details_page_set_url-Pass-helper-to-gs_plugin_loa.patch
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Oct 2017 10:36:26 +1300

gnome-software (3.26.0-0ubuntu3) artful; urgency=medium

  * debian/patches/0001-gs_details_page_set_url-Pass-helper-to-gs_plugin_loa.patch
    - Fix crash loading snap URLs (LP: #1720227)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 29 Sep 2017 10:30:11 -0400

gnome-software (3.26.0-0ubuntu2) artful; urgency=medium

  * debian/ubuntu-software.links:
    - Ensure xorg session also displays "Ubuntu Software" name and icon.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Sep 2017 16:54:31 +0200

gnome-software (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream stable release
  * debian/patches/0001-Do-not-crash-if-a-GsPluginEvent-has-no-unique-ID.patch:
  * debian/patches/0001-Fix-GObject-arguments-not-working-on-32-bit-systems.patch:
  * debian/patches/0001-snap-Use-the-global-cache-to-store-snap-GsApp-object.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 15 Sep 2017 09:32:27 +1200

gnome-software (3.25.91-1ubuntu5) artful; urgency=medium

  * debian/patches/0012-snap-Correct-the-app-origin.patch:
    - Store is now called "Snap Store"

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 07 Sep 2017 09:09:54 +1200

gnome-software (3.25.91-1ubuntu4) artful; urgency=medium

  * debian/patches/0001-snap-Correct-the-app-origin.patch:
    - Set correct store name (LP: #1706500)
  * debian/patches/0001-Do-not-crash-if-a-GsPluginEvent-has-no-unique-ID.patch:
    - Fix common crash (LP: #1706043)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Sep 2017 12:14:00 +1200

gnome-software (3.25.91-1ubuntu3) artful; urgency=medium

  * debian/patches/0001-snap-Use-the-global-cache-to-store-snap-GsApp-object.patch:
    - Fix shell search results not showing (LP: #1713929)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Sep 2017 16:42:47 +1200

gnome-software (3.25.91-1ubuntu2) artful; urgency=medium

  * debian/patches/0001-Fix-GObject-arguments-not-working-on-32-bit-systems.patch:
    - Fix crash running on i386 (LP: #1708998)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Aug 2017 15:51:51 +1200

gnome-software (3.25.91-1ubuntu1) artful; urgency=medium

  * Merge with Debian, remaining changes:
    + debian/patches/*.patch: Various Ubuntu changes from wip/ubuntu-master
    branch - see patch headers for more information.
    + Add an "ubuntu-software" package with some branding for Ubuntu.
    + debian/control{,.in}, debian/rules, debian/gnome-software-plugin-snap.*:
      Enable the Snap plugin and build it into a gnome-software-plugin-snap
      binary package
    + debian/gnome-software.gsettings-override.in: Mark universe packages as
      Free.
    + debian/rules: Strip -Wl,-Bsymbolic-functions from LDFLAGS so that
      plugins can be loaded properly.
    + debian/source_gnome-software.py: Add an Apport hook to report which
      plugins are installed.
  * GNOME Software provides the PackageKit session interface. Sessioninstaller
    wants to do that too - Conflict with it to get it off user systems.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Aug 2017 18:11:03 +0100

gnome-software (3.25.91-1) experimental; urgency=medium

  * debian/compat: Bump to 10, mainly to get --parallel by default.
  * New upstream release 3.25.91 (LP: #1706715)
    + Doesn't let you cancel PackageKit (.deb) installations when PK says it's
      not allowed. (LP: #1707053)

 -- Iain Lane <laney@debian.org>  Thu, 24 Aug 2017 16:33:38 +0100

gnome-software (3.25.90-0ubuntu2) artful; urgency=medium

  * debian/patches/0003-snap-Handle-suffixes-being-added-to-banner-screensho.patch:
    - Handle suffixes on featured snap screenshots

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 21 Aug 2017 15:29:33 +1200

gnome-software (3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/patches/0001-snap-Use-first-featured-snap-as-featured-app.patch:
    - Show snap in "Featured" section (LP: #1706478)
  * debian/patches/0002-Make-gs_app_list_filter_duplicates-not-change-app-or.patch:
  * debian/patches/0008-snap-Only-feature-snaps.patch:
  * debian/patches/0009-Don-t-randomize-editors-picks.patch:
    - Show only snaps in "Editor's Picks" (LP: #1705953)



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>,
           Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: appstream,
               appstream-util,
               debhelper (>= 10.4),
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               intltool (>= 0.35.0),
               libappstream-glib-dev (>= 0.7.0~),
               libflatpak-dev (>= 0.6.12) [linux-any],
               libfwupd-dev (>= 0.9.3) [amd64 arm64 armhf i386],
               libglib2.0-dev (>= 2.46),
               libgnome-desktop-3-dev (>= 3.18),
               libgtk-3-dev (>= 3.20),
               libgtkspell3-3-dev (>= 3.0),
               libgudev-1.0-dev [linux-any],
               libjson-glib-dev,
               liblimba-dev (>= 0.5.6) [linux-any],
               liboauth-dev,
               libpackagekit-glib2-dev (>= 1.1.4),
               libpolkit-gobject-1-dev,
               libsecret-1-dev,
               libsoup2.4-dev (>= 2.52),
               libsnapd-glib-dev (>= 1.16),
               libsqlite3-dev,
               libxml2-utils,
               meson (>= 0.37),
               pkg-config,
               valgrind,
               xsltproc
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Software
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-artful

Package: gnome-software
Architecture: any
Depends: appstream,
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         packagekit (>= 1.1.4),
         software-properties-gtk,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gnome-packagekit-session (<< 3.16.0-2~)
Breaks: gnome-packagekit-session (<< 3.16.0-2~)
Conflicts: sessioninstaller
Recommends: gnome-software-plugin-snap [linux-any],
Suggests: fwupd [amd64 arm64 armhf i386],
          gnome-software-plugin-flatpak [linux-any],
          gnome-software-plugin-limba [linux-any]
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: gnome-software-plugin-flatpak
Architecture: linux-any
Depends: flatpak,
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Flatpak support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: gnome-software-plugin-limba
Architecture: linux-any
Depends: gnome-software (= ${binary:Version}),
         limba,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-software (<< 3.21.92)
Replaces: gnome-software (<< 3.21.92)
Description: Limba support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Limba plugin.

Package: gnome-software-plugin-snap
Architecture: linux-any
Depends: gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Snap plugin.

Package: gnome-packagekit-session
Architecture: all
Section: oldlibs
Priority: extra
Depends: gnome-software (>= ${source:Version}),
         ${misc:Depends}
Description: Transitional package (gnome-packagekit-session -> gnome-software)
 Transitional dummy package replacing gnome-packagekit-session with
 gnome-software.
 .
 The PackageKit session interface is no separate component anymore, but built
 into GNOME-Software.

Package: gnome-software-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libgtk-3-dev,
         libappstream-glib-dev,
         libsoup2.4-dev,
         ${misc:Depends}
Suggests: gnome-software-doc
Description: Software Center for GNOME - development files
 Software lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with Software.

Package: gnome-software-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Software Center for GNOME - documentation
 Software lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 Software.

Package: ubuntu-software
Architecture: all
Depends: gnome-software (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Utility for browsing, installing, and removing software
 Ubuntu Software lets you browse and install the applications available for
 Ubuntu. You can view available software by category, or search by name
 or description. You can also examine the software already installed, and
 remove items you no longer need.
 .
 To install or remove software using Ubuntu Software, you need administrator
 access on the computer.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GS_CONFIGURE_FLAGS = \
	-Denable-gnome-desktop=true \
	-Denable-odrs=true \
	-Denable-ostree=true \
	-Denable-packagekit=true \
	-Denable-rpm=false \
	-Denable-snap=true

# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
	-Denable-fwupd=false \
	-Denable-flatpak=false \
	-Denable-limba=false \
	-Denable-ubuntu-reviews=true

ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Enable Flatpak and Limba support on Linux
	GS_CONFIGURE_FLAGS += -Denable-limba=true -Denable-flatpak=true

	# Enable fwupd support on supported architectures
	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386))
		GS_CONFIGURE_FLAGS += -Denable-fwupd=true
	endif
endif

DISTRO_ID = debian
FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	DISTRO_ID = ubuntu
	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
	GS_CONFIGURE_FLAGS += -Denable-ubuntu-reviews=true
else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
	DISTRO_ID = tanglu
else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
	DISTRO_ID = pureos
endif

# Install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/ \
			     $(GS_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install
ifneq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	rm -f $(INSTALLDIR)/usr/lib/*/gs-plugins-*/libgs_plugin_ubuntu*
endif

override_dh_installgsettings:
	sed 's/@DISTRO@/$(DISTRO_ID)/g' debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
	sed -i 's/@URL@/$(FREE_URL)/g' debian/gnome-software.gsettings-override
	dh_installgsettings

override_dh_install-arch:
	# Remove unused files
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.a
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.la
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/libgs_plugin_fedora*
	dh_install

# workaround upstream issue in the new build system
# https://bugzilla.gnome.org/show_bug.cgi?id=785134
# https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1702522
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-software-pot
	dh_translations

override_dh_missing:
	dh_missing --fail-missing

	# These files are split out to separate packages
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_flatpak*
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_limba*
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_ostree*
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_snap*
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Limba.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml

override_dh_install-indep:
	# Change the name and icon for Unity sessions
	# Also needs override_dh_install renamed to override_dh_install-arch
	dh_install
	sed -i 's/Name=Software/Name=Ubuntu Software/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
	sed -i 's/Icon\(.*\)=\(org.gnome.Software\)/Icon\1=ubuntusoftware/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

override_dh_auto_test:
	# DISABLED

override_dh_clean:
	rm -f debian/gnome-software.gsettings-override
	dh_clean

## gnome-software 3.28.1

=== meson_options.txt ===
option('enable-tests', type : 'boolean', value : true, description : 'enable tests')
option('enable-gspell', type : 'boolean', value : true, description : 'enable gspell')
option('enable-gnome-desktop', type : 'boolean', value : true, description : 'enable gnome-desktop')
option('enable-man', type : 'boolean', value : true, description : 'enable man pages')
option('enable-packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('enable-polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('enable-fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('enable-flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('enable-limba', type : 'boolean', value : false, description : 'enable Limba support')
option('enable-rpm-ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('enable-steam', type : 'boolean', value : true, description : 'enable Steam support')
option('enable-shell-extensions', type : 'boolean', value : true, description : 'enable shell extensions support')
option('enable-odrs', type : 'boolean', value : true, description : 'enable ODRS support')
option('enable-ubuntuone', type : 'boolean', value : true, description : 'enable UbuntuOne support')
option('enable-ubuntu-reviews', type : 'boolean', value : true, description : 'enable Ubuntu reviews support')
option('enable-webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('enable-gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('enable-snap', type : 'boolean', value : false, description : 'enable Snap support')
option('enable-external-appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('enable-valgrind', type : 'boolean', value : true, description : 'enable Valgrind debugging integration')
option('enable-gtk-doc', type : 'boolean', value : true, description : 'enable API reference')

=== debian/changelog ===
gnome-software (3.28.1-0ubuntu4) bionic; urgency=medium

  * debian/patches/0001-Fix-gs_app_set_state_recover-not-working-during-purc.patch:
    - Fix purchase button disappearing when setting up credit card
  * debian/patches/0019-Disable-paid-snap-support-unless-env-variable-GNOME_.patch:
    - Disable paid support for now (enable by setting the
      GNOME_SOFTWARE_SHOW_PAID environment variable)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Apr 2018 15:22:29 +1200

gnome-software (3.28.1-0ubuntu3) bionic; urgency=medium

  * Merge change from Debian:
    - Drop icon-download APT config snippet, depend on shared apt-config-icons
      instead (LP: #1764589)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 Apr 2018 21:25:08 -0400

gnome-software (3.28.1-0ubuntu2) bionic; urgency=medium

  * debian/patches/0017-snap-Use-default-icon-if-none-provided.patch:
    - Fix snaps without icons not showing (LP: #1763736)
  * debian/patches/0018-snap-Make-snaps-purchasable.patch:
    - Support purchasable snaps (LP: #1547135)
  * debian/patches/0001-snap-Scale-embedded-snap-icons-to-64x64.patch:
  * debian/patches/0001-snap-Only-load-icons-once.patch:
    - Fix snap icon sizes and stop duplicate loading

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 16 Apr 2018 15:32:27 +1200

gnome-software (3.28.1-0ubuntu1) bionic; urgency=medium

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Apr 2018 11:32:17 +1200

gnome-software (3.28.0-0ubuntu7) bionic; urgency=medium

  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix dialog title not being translatable (LP: #1758207)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 23 Mar 2018 13:59:05 +1300

gnome-software (3.28.0-0ubuntu6) bionic; urgency=medium

  * debian/patches/0016-Translate-ubuntu-desktop-file.patch:
  * debian/rules:
  * debian/ubuntu-software.install:
    - Translate Ubuntu's .desktop file (LP: #1756982).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 21 Mar 2018 15:10:00 +0100

gnome-software (3.28.0-0ubuntu5) bionic; urgency=medium

  [ Jeremy Bicha ]
  * debian/ubuntu-software.links:
    - Update for renamed Ubuntu on Wayland session

  [ Robert Ancell ]
  * debian/patches/0011-Support-snap-channels.patch:
    - Don't do round-trip to server for featured snaps - only need
      to do this on details page to show channel information. (LP: #1756184)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 21 Mar 2018 16:11:28 +1300

gnome-software (3.28.0-0ubuntu4) bionic; urgency=medium

  * debian/patches/0001-Stop-searching-multiple-times-on-search-page.patch:
    - Stop duplicate search queries (LP: #1756184)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Mar 2018 12:21:56 +1300

gnome-software (3.28.0-0ubuntu3) bionic; urgency=medium

  * debian/patches/0001-snap-Only-refine-screenshots-when-requested.patch:
  * debian/patches/0011-Support-snap-channels.patch:
    - Avoid crash populating snap screenshots and channels (LP: #1755198)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Mar 2018 16:43:28 +1300

gnome-software (3.28.0-0ubuntu2) bionic; urgency=medium

  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix spelling mistakes (LP: #1755395)
  * debian/patches/0005-details-Show-an-in-app-notification-when-passed-an-i.patch:
    - Fix crash following snap URLs (LP: #1752645)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Mar 2018 15:27:10 +1300

gnome-software (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * debian/patches/0001-snap-Fix-invalid-metadata-after-cancelled-refine.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Mar 2018 17:00:42 +1300

gnome-software (3.27.92-0ubuntu3) bionic; urgency=medium

  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix string not marked for translation (LP: #1754903)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Mar 2018 12:52:50 +1300

gnome-software (3.27.92-0ubuntu2) bionic; urgency=medium

  * debian/patches/0001-snap-Fix-invalid-metadata-after-cancelled-refine.patch:
  * debian/patches/0015-Don-t-reject-unexpected-state-changes-external-event.patch:
    - Fix snaps not being shown correctly after install from command line
      (LP: #1754655)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Mar 2018 13:40:18 +0100

gnome-software (3.27.92-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * debian/patches/0001-Don-t-use-app-ID-as-a-tie-break-when-ordering-search.patch
  * debian/patches/0001-Make-app-name-sorting-case-insensitive.patch
  * debian/patches/0001-Revert-snap-Show-revision-number-in-version-field.patch
  * debian/patches/0001-snap-Refactor-how-metadata-is-merged-between-install.patch
    - Applied upstream
  * debian/patches/0009-Display-a-warning-for-non-sandboxed-snaps.patch:
    - Update warning text
  * debian/patches/0012-Don-t-use-colour-to-differentiate-between-free-and-p.patch
    - Don't use red to indicate propietary software (LP: #1750533)
  * debian/patches/0013-overview-page-Rotate-featured-apps.patch:
    - Support showing multiple banners (LP: #1750548)
  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Add basic system for connecting/disconnecting snap interfaces
      (LP: #1597314)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 06 Mar 2018 16:46:42 +0100

gnome-software (3.27.90-1ubuntu2) bionic; urgency=medium

  * debian/gnome-software.gsettings-override.in:
    - Update for renamed gsetting keys 

 -- Tim Lunn <tim@feathertop.org>  Sat, 03 Mar 2018 16:48:11 +1100

gnome-software (3.27.90-1ubuntu1) bionic; urgency=medium

  * Merge with Debian, remaining changes:
    + debian/patches/*.patch: Various Ubuntu changes from ubuntu-master
      branch - see patch headers for more information.
    + Add an "ubuntu-software" package with some branding for Ubuntu.


=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-software
@@ -7,23 +7,22 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klumpp <mak@debian.org>,
-           Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream,
                appstream-util,
-               debhelper (>= 10.4),
+               debhelper (>= 11),
                docbook-xsl,
                gnome-pkg-tools (>= 0.10),
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                intltool (>= 0.35.0),
-               libappstream-glib-dev (>= 0.7.0~),
+               libappstream-glib-dev (>= 0.7.3),
                libflatpak-dev (>= 0.6.12) [linux-any],
-               libfwupd-dev (>= 0.9.3) [amd64 arm64 armhf i386],
+               libfwupd-dev (>= 0.9.8) [amd64 arm64 armhf i386],
                libglib2.0-dev (>= 2.46),
                libgnome-desktop-3-dev (>= 3.18),
-               libgtk-3-dev (>= 3.20),
-               libgtkspell3-3-dev (>= 3.0),
+               libgtk-3-dev (>= 3.22.4),
+               libgspell-1-dev,
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev,
                liblimba-dev (>= 0.5.6) [linux-any],
@@ -31,21 +30,22 @@
                libpackagekit-glib2-dev (>= 1.1.4),
                libpolkit-gobject-1-dev,
                libsecret-1-dev,
+               libsnapd-glib-dev (>= 1.19) [amd64 arm64 armel armhf i386 ppc64 ppc64el s390x],
                libsoup2.4-dev (>= 2.52),
-               libsnapd-glib-dev (>= 1.16),
                libsqlite3-dev,
                libxml2-utils,
                meson (>= 0.37),
                pkg-config,
-               valgrind,
+               valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-artful
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu
 
 Package: gnome-software
 Architecture: any
 Depends: appstream,
+         apt-config-icons,
          gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.18),
          packagekit (>= 1.1.4),
@@ -56,7 +56,8 @@
 Breaks: gnome-packagekit-session (<< 3.16.0-2~)
 Conflicts: sessioninstaller
 Recommends: gnome-software-plugin-snap [linux-any],
-Suggests: fwupd [amd64 arm64 armhf i386],
+Suggests: apt-config-icons-hidpi,
+          fwupd [amd64 arm64 armhf i386],
           gnome-software-plugin-flatpak [linux-any],
           gnome-software-plugin-limba [linux-any]
 Description: Software Center for GNOME
@@ -120,10 +121,12 @@
  This package contains the Limba plugin.
 
 Package: gnome-software-plugin-snap
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
 Depends: gnome-software (= ${binary:Version}),
+         snapd [amd64 arm64 armel armhf i386 ppc64 ppc64el],
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: snapd [s390x]
 Breaks: gnome-software (<< 3.22.3)
 Replaces: gnome-software (<< 3.22.3)
 Description: Snap support for GNOME Software
@@ -140,7 +143,6 @@
 Package: gnome-packagekit-session
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: gnome-software (>= ${source:Version}),
          ${misc:Depends}
 Description: Transitional package (gnome-packagekit-session -> gnome-software)
@@ -153,6 +155,7 @@
 Package: gnome-software-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libglib2.0-dev,
          libgtk-3-dev,
          libappstream-glib-dev,
@@ -168,6 +171,7 @@
 Package: gnome-software-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Software Center for GNOME - documentation
  Software lets you install and update applications and system extensions.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

GS_CONFIGURE_FLAGS = \
	-Denable-gnome-desktop=true \
	-Denable-odrs=true \
	-Denable-ostree=false \
	-Denable-packagekit=true \
	-Denable-rpm-ostree=false \

# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
	-Denable-fwupd=false \
	-Denable-flatpak=false \
	-Denable-limba=false \
	-Denable-gudev=false \
	-Denable-ubuntu-reviews=true \
	-Denable-valgrind=false

ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Enable Flatpak and Limba support on Linux
	GS_CONFIGURE_FLAGS += -Denable-limba=true -Denable-flatpak=true

	# Enable GUdev support on Linux
	GS_CONFIGURE_FLAGS += -Denable-gudev=true
	
	# Enable fwupd support on supported architectures
	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386))
		GS_CONFIGURE_FLAGS += -Denable-fwupd=true
	endif

	# Enable snap support on supported architectures
	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64 ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Denable-snap=true
	endif

	# Enable valgrind support on supported architectures
	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Denable-valgrind=true
	endif
endif

DISTRO_ID = debian
FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	DISTRO_ID = ubuntu
	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
	GS_CONFIGURE_FLAGS += -Denable-ubuntu-reviews=true
else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
	DISTRO_ID = tanglu
else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
	DISTRO_ID = pureos
endif

# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/ \
			     $(GS_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install
ifneq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/libgs_plugin_ubuntu*
endif

override_dh_installgsettings:
	sed 's/@DISTRO@/$(DISTRO_ID)/g' debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
	sed -i 's/@URL@/$(FREE_URL)/g' debian/gnome-software.gsettings-override
	dh_installgsettings

override_dh_install-arch:
	# Remove unused files
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.a
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/*.la
	rm -f debian/tmp/usr/lib/*/gs-plugins-*/libgs_plugin_fedora*
	dh_install

override_dh_missing:
	dh_missing --fail-missing

	# These files are split out to separate packages
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_flatpak*
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_limba*
	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_snap*
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Limba.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

override_dh_auto_test:
	# DISABLED

override_dh_clean:
	rm -f debian/gnome-software.gsettings-override
	dh_clean

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-software-pot
	dh_translations

## gnome-software 3.30.2

=== debian/changelog ===
gnome-software (3.30.2-0ubuntu5) cosmic; urgency=medium

  * debian/patches/0003-Sort-snaps-before-other-apps.patch:
    - Fix snap search result ordering (LP: #1798228)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 17 Oct 2018 14:05:06 +1300

gnome-software (3.30.2-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0006-packagekit-Disable-updates.patch:
    - Stop offline updates from showing again (LP: #1797543)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Oct 2018 16:01:07 +1300

gnome-software (3.30.2-0ubuntu3) cosmic; urgency=medium

  * debian/patches/0024-shell-search-provider-implement-XUbuntuCancel.patch
    - implement XUbuntuCancel to request pending search cancellation from
      gnome-shell (LP: #1756826)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 11 Oct 2018 12:25:34 +1300

gnome-software (3.30.2-0ubuntu2) cosmic; urgency=medium

  * debian/patches/0023-snap-Don-t-treat-auth-cancellation-as-an-error.patch:
    - Stop cancelling snapd authorization triggers error notification
      (LP: #1785240)
  * debian/control:
    - Bump minimum version of libsnapd-glib-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 09 Oct 2018 16:51:51 +1300

gnome-software (3.30.2-0ubuntu1) cosmic; urgency=medium

  * New upstream stable release (LP: #1789451)
  * debian/control:
    - Bump minimum version of libfwupd-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 09 Oct 2018 09:55:24 +1300

gnome-software (3.30.0-0ubuntu1) cosmic; urgency=medium

  * New upstream stable release
  * debian/control:
    - Update build-dependencies on libappstream-glib-dev, libsnapd-glib-dev
  * debian/patches/0011-Support-snap-channels.patch
  * debian/patches/0021-snap-Use-wide-scope-when-searching.patch:
    - Use wide scope searching (LP: #1789338)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2018 11:00:24 +1200

gnome-software (3.29.92-0ubuntu2) cosmic; urgency=medium

  * debian/rules:
    - Build with PackageKit autoremove support (LP: #1552792)
  * debian/control:
    - Depend on the version of PackageKit which correctly does autoremove

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Sep 2018 11:04:47 +1200

gnome-software (3.29.92-0ubuntu1) cosmic; urgency=medium

  * New upstream stable release
  * debian/control:
    - Limba plugin no longer provided
    - Update build-dependencies on libflatpak-dev, libsnapd-glib-dev
  * debian/rules:
    - Update renamed build options
  * debian/patches/0001-details-page-Correctly-hide-screenshot-widgets-when-.patch:
  * debian/patches/0001-details-page-Correctly-hide-support-widgets-when-no-.patch:
  * debian/patches/0001-snap-plugin-segfault.patch:
  * debian/patches/0015-Don-t-reject-unexpected-state-changes-external-event.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Sep 2018 16:08:52 +1200

gnome-software (3.29.1-0ubuntu6) cosmic; urgency=medium

  * debian/patches/0006-packagekit-Disable-updates.patch:
    - also disable offline updates in refresh plugin (LP: #1775226)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Aug 2018 11:58:58 +0200

gnome-software (3.29.1-0ubuntu5) cosmic; urgency=medium

  [ Andrea Azzarone ]
  * debian/patches/0001-snap-plugin-segfault.patch:
    - don't segfault on null snap installation date (lp: #1781996)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jul 2018 16:52:40 +0200

gnome-software (3.29.1-0ubuntu4) cosmic; urgency=medium

  * debian/patches/0001-details-page-Correctly-hide-screenshot-widgets-when-.patch:
  * debian/patches/0001-details-page-Correctly-hide-support-widgets-when-no-.patch:
  * debian/patches/0021-details-page-Don-t-show-missing-screenshot-placehold.patch:
    - Don't show placeholder image when not screenshots (LP: #1775794)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Jul 2018 16:38:29 +0200

gnome-software (3.29.1-0ubuntu3) cosmic; urgency=medium

  * debian/patches/0020-Delay-startup-of-GNOME-Software-to-allow-the-Shell-t.patch:
    - Delay startup of service to allow the shell to load first (LP: #1756379)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 25 Jun 2018 16:23:54 +1200

gnome-software (3.29.1-0ubuntu2) cosmic; urgency=medium

  * debian/control:
    - Bump minimum version of snapd-glib
  * debian/patches/0014-Add-a-basic-permissions-system.patch:
    - Fix crash when have plugs with multiple slots available (LP: #1778160)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2018 15:44:13 +1200

gnome-software (3.29.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release
  * debian/patches/0001-Fix-gs_app_set_state_recover-not-working-during-purc.patch:
  * debian/patches/0001-snap-Only-load-icons-once.patch:
  * debian/patches/0001-snap-Scale-embedded-snap-icons-to-64x64.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 May 2018 11:55:28 +1200

gnome-software (3.28.1-0ubuntu6) cosmic; urgency=medium

  * debian/patches/0011-Support-snap-channels.patch:
    - Make snap channel selection list scrollable (LP: #1768779)
    - Fix channel branches all showing the same name (LP: #1768794)
    - Alphabetically sort channel branch names (LP: #1769556)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 May 2018 16:31:46 +1200

gnome-software (3.28.1-0ubuntu5) cosmic; urgency=medium

  * debian/patches/0011-Support-snap-channels.patch:
    - Fix incorrect default install version being shown (LP: #1767445)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 03 May 2018 12:33:30 +1200

=== debian/control ===
--- 
+++ 
@@ -16,21 +16,20 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                intltool (>= 0.35.0),
-               libappstream-glib-dev (>= 0.7.3),
-               libflatpak-dev (>= 0.6.12) [linux-any],
-               libfwupd-dev (>= 0.9.8) [amd64 arm64 armhf i386],
+               libappstream-glib-dev (>= 0.7.11),
+               libflatpak-dev (>= 0.99.3) [linux-any],
+               libfwupd-dev (>= 1.0.3) [amd64 arm64 armhf i386],
                libglib2.0-dev (>= 2.46),
                libgnome-desktop-3-dev (>= 3.18),
                libgtk-3-dev (>= 3.22.4),
                libgspell-1-dev,
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev,
-               liblimba-dev (>= 0.5.6) [linux-any],
                liboauth-dev,
                libpackagekit-glib2-dev (>= 1.1.4),
                libpolkit-gobject-1-dev,
                libsecret-1-dev,
-               libsnapd-glib-dev (>= 1.19) [amd64 arm64 armel armhf i386 ppc64 ppc64el s390x],
+               libsnapd-glib-dev (>= 1.43) [amd64 arm64 armel armhf i386 ppc64 ppc64el s390x],
                libsoup2.4-dev (>= 2.52),
                libsqlite3-dev,
                libxml2-utils,
@@ -40,7 +39,10 @@
                xsltproc
 Standards-Version: 4.1.2
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-software
 
 Package: gnome-software
 Architecture: any
@@ -48,7 +50,7 @@
          apt-config-icons,
          gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.18),
-         packagekit (>= 1.1.4),
+         packagekit (>= 1.1.10-1ubuntu3),
          software-properties-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -58,8 +60,7 @@
 Recommends: gnome-software-plugin-snap [linux-any],
 Suggests: apt-config-icons-hidpi,
           fwupd [amd64 arm64 armhf i386],
-          gnome-software-plugin-flatpak [linux-any],
-          gnome-software-plugin-limba [linux-any]
+          gnome-software-plugin-flatpak [linux-any]
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
  .
@@ -100,25 +101,6 @@
  appdata format.
  .
  This package contains the Flatpak plugin.
-
-Package: gnome-software-plugin-limba
-Architecture: linux-any
-Depends: gnome-software (= ${binary:Version}),
-         limba,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: gnome-software (<< 3.21.92)
-Replaces: gnome-software (<< 3.21.92)
-Description: Limba support for GNOME Software
- Software lets you install and update applications and system extensions.
- .
- Software uses a plugin architecture to separate the frontend from the
- technologies that are used underneath. Currently, a PackageKit plugin provides
- data from a number of traditional packaging systems, such as rpm or apt. An
- appdata plugin provides additional metadata from locally installed data in the
- appdata format.
- .
- This package contains the Limba plugin.
 
 Package: gnome-software-plugin-snap
 Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x

=== debian/rules ===
--- 
+++ 
@@ -5,41 +5,41 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 GS_CONFIGURE_FLAGS = \
-	-Denable-gnome-desktop=true \
-	-Denable-odrs=true \
-	-Denable-ostree=false \
-	-Denable-packagekit=true \
-	-Denable-rpm-ostree=false \
+	-Dgnome_desktop=true \
+	-Dodrs=true \
+	-Dostree=false \
+	-Dpackagekit=true \
+	-Dpackagekit_autoremove=true \
+	-Drpm_ostree=false \
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \
-	-Denable-fwupd=false \
-	-Denable-flatpak=false \
-	-Denable-limba=false \
-	-Denable-gudev=false \
-	-Denable-ubuntu-reviews=true \
-	-Denable-valgrind=false
+	-Dfwupd=false \
+	-Dflatpak=false \
+	-Dgudev=false \
+	-Dubuntu_reviews=true \
+	-Dvalgrind=false
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	# Enable Flatpak and Limba support on Linux
-	GS_CONFIGURE_FLAGS += -Denable-limba=true -Denable-flatpak=true
+	# Enable Flatpak support on Linux
+	GS_CONFIGURE_FLAGS += -Dflatpak=true
 
 	# Enable GUdev support on Linux
-	GS_CONFIGURE_FLAGS += -Denable-gudev=true
+	GS_CONFIGURE_FLAGS += -Dgudev=true
 	
 	# Enable fwupd support on supported architectures
 	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386))
-		GS_CONFIGURE_FLAGS += -Denable-fwupd=true
+		GS_CONFIGURE_FLAGS += -Dfwupd=true
 	endif
 
 	# Enable snap support on supported architectures
 	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64 ppc64el s390x))
-		GS_CONFIGURE_FLAGS += -Denable-snap=true
+		GS_CONFIGURE_FLAGS += -Dsnap=true
 	endif
 
 	# Enable valgrind support on supported architectures
 	ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x))
-		GS_CONFIGURE_FLAGS += -Denable-valgrind=true
+		GS_CONFIGURE_FLAGS += -Dvalgrind=true
 	endif
 endif
 
@@ -48,7 +48,7 @@
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	DISTRO_ID = ubuntu
 	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
-	GS_CONFIGURE_FLAGS += -Denable-ubuntu-reviews=true
+	GS_CONFIGURE_FLAGS += -Dubuntu_reviews=true
 else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
 	DISTRO_ID = tanglu
 else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
@@ -88,10 +88,8 @@
 
 	# These files are split out to separate packages
 	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_flatpak*
-	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_limba*
 	rm -f debian/gnome-software/usr/lib/*/gs-plugins-*/libgs_plugin_snap*
 	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
-	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Limba.metainfo.xml
 	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml
 
 override_dh_makeshlibs:
